$(document).ready(function(){

    

    var d = new Date();
    month = d.getMonth()+1;
    y = d.getFullYear();
    day = d.getDate();
    d = (day<10 ? '0' : '') + day
    n = (month<10 ? '0' : '') + month
    f1 = '01-'+n + '-' +y;
    f2 = d +'-' + n + '-' +y;
        
    $(".fecha").datepicker({
        changeMonth: true,
        changeYear: true,
        monthNames: [ "Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre" ],
        monthNamesShort: [ "Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic" ],
        dayNames: [ "Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado" ],
        dayNamesMin: [ "Do", "Lu", "Ma", "Mi", "Ju", "Vi", "Sa" ],
        yearRange: "-3:+0",
        
        beforeShow: function (input, inst) {
            
            var offset = $(input).offset();
            var height = $(input).height();
            window.setTimeout(function () {
                inst.dpDiv.css({ top: (offset.top + height - 25) + 'px', left: offset.left + 'px' })
            }, 1);
        }
        
    });
    $(".fecha" ).datepicker( "option", "dateFormat", 'dd-mm-yy' );
    $(".fecha" ).attr('readonly','readonly'); 
   
    $("#txtDatosDesde").val(f1);
    $("#txtDatosHasta").val(f2);
    
});

function cerrar_detalle(){
    $("#result_detalle").html('').hide();
    $(document).unbind("keyup", keyUpFunc);
    $(document).keyup(keyUpFunclista);
}
function keyUpFunc(e) {
    if (e.keyCode == 27) { cerrar_detalle(); }
}

function cerrar_lista(){
    $("#result_datos").html('').hide();
    $(document).unbind("keyup", keyUpFunclista);
}
function keyUpFunclista(e) {
    if (e.keyCode == 27) { cerrar_lista(); }
}

function enviar_formulario_datos(){

    var usuario = _usuario_log['COD'];
    var desde  = $("#txtDatosDesde").val();
    var hasta = $("#txtDatosHasta").val();
    var cc = $("#chkCc:checked").length;
    var remito = $("#chkRemito:checked").length;
    var contado = $("#chkContado:checked").length;
    var anulada = $("#chkAnulada:checked").length;
    var tipoana = $("input[name='tipoana']:checked").val();
    var empresa = $("#codEmp").val();
    
/*    
    var msg = "";
    if (msg.length>0){
       
        $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
        setTimeout(function(){
            $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
            $(".pop_changepass").find(":input").val("");
            $("#oldpass").select();
        },1500);
        return false;
    }
*/
    
    //validar fechas
    /*
    if (desde.length<=0){
        msg = "Ingrese Fecha Inicial.";
        $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
        setTimeout(function(){
            $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
        },1500);
        return false;
    }
    if (hasta.length<=0){
        msg = "Ingrese Fecha Final.";
        $(".div_msg").html(msg).removeClass('exito_msg error_msg').addClass('error_msg').fadeIn(300);
        setTimeout(function(){
            $(".div_msg").html(msg).removeClass('exito_msg error_msg').fadeOut(300);
        },1500);
        return false;
    }
  */
    _resumen_cuenta.enviar_datos(tipoana, usuario, desde, hasta, cc, remito, contado, anulada,empresa);
}

_resumen_cuenta.enviar_datos = function(tipoana,usuario, desde, hasta, cc, remito, contado, anulada,empresa){
    if (empresa == '') {
        alert("Debe seleccionar la empresa");
        $(".wait").hide();
        return;
    }else{
        $(".wait").show();
    }
    $.ajax({
        url : _resumen_cuenta.URL + "/x_enviar_datos",
        data : {
            usuario : usuario, 
            desde : desde,
            hasta : hasta,
            cc : cc,
            remito : remito,
            contado : contado,
            anulada : anulada,
            tipoana : tipoana,
            codEmp: empresa
        },
        type : "post",
        success : function(data){
            //console.dir(data);
            $("#result_datos").html(data).show();
            $(".wait").hide();
            $(document).keyup(keyUpFunclista);
                  
            $("#lista_dat ul li").on({
                "mouseover" : function(){
                    $(this).addClass("over");
                },
                "mouseout" : function(){
                    $(this).removeClass("over");
                },
                "click" : function(){
                    
                    var cod = $(this).data('cod');
                    var tco = $(this).data('tco');
                    var tip = $(this).data('tip');
                    var suc = $(this).data('suc');
                    var nco = $(this).data('nco');
                    console.log("jejejeje");
                    $.ajax({
                        url : _resumen_cuenta.URL + "/x_get_detalle",
                        data : {
                            cod : cod,
                            tco : tco,
                            tip : tip,
                            suc : suc,
                            nco : nco
                        },
                        type : "post",
                        success : function(data){
                            //console.dir(data);
                            $(document).unbind("keyup", keyUpFunclista);
                            $(document).keyup(keyUpFunc);
                            console.log(data);
                            if (data==-1)
                                alert('Este comprobante no se puede visualizar');
                            else{
                                $("#result_detalle").html(data).show();
                            }
                            $(".wait").hide();
                            
                            

                        }
                    });

                }
            }); 
                
      
        }
    });
    
}
